org.codehaus.groovy.ant

## Class FileIterator

- java.lang.Object
- - org.codehaus.groovy.ant.FileIterator

- All Implemented Interfaces:
    Iterator

      public class FileIterator
      extends Object
      implements Iterator

  `FileIterator` is an iterator over a number of files from a collection of FileSet instances.

  Version:
    $Revision$
  Author:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileIterator(org.apache.tools.ant.Project project, Iterator<org.apache.tools.ant.types.FileSet> fileSetIterator)`
    `FileIterator(org.apache.tools.ant.Project project, Iterator<org.apache.tools.ant.types.FileSet> fileSetIterator, boolean iterateDirectories)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `Object` | `next()`
    `void` | `remove()` throws UnsupportedOperationException

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileIterator

          public FileIterator(org.apache.tools.ant.Project project,
                      Iterator<org.apache.tools.ant.types.FileSet> fileSetIterator)

    - #### FileIterator

          public FileIterator(org.apache.tools.ant.Project project,
                      Iterator<org.apache.tools.ant.types.FileSet> fileSetIterator,
                      boolean iterateDirectories)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator`
      Returns:
        true if there is another object that matches the given predicate

    - #### next

          public Object next()

      Specified by:
        `next` in interface `Iterator`
      Returns:
        the next object which matches the given predicate

    - #### remove

          public void remove()

      throws UnsupportedOperationException
      Specified by:
        `remove` in interface `Iterator`